Subject: Re: gdb trouble
From: "vipin aravind" <[email-masked]>
To: "Robert Collins" <[email-masked]>, "Corinna Vinschen" <[email-masked]>
Date: Wed, 21 Nov 2001 15:33:37 +0530

well  I  read in an msdn article  that the pdb  format is not  publicly
documented.  probably numega  got  in some  sort of
agreement  with microsoft  on  providing  the info.
vipin

> Some related articles:
>
> http://support.microsoft.com/support/kb/articles/Q182/0/43.ASP
> http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnwbgen
> /html/msdn_peeringpe.asp
> http://msdn.microsoft.com/library/default.asp?url=/library/en-us/debug/d
> bghelp_0l0n.asp?frame=true
>
> To me it looks like there are 2 options.
> 1) add the user of the symbol handling library to gdb. That should allow
> pdb use.
> 2) Using the symbol handling library, and (say) VC++, generate test
> exe's with .pdb and reverse engineer the format. Once done, use the
> resulting library in gdb.
>
> Rob
>
>
> ===
> ----- Original Message -----
> From: "Corinna Vinschen" <[email-masked]>
> To: "cygwin" <[email-masked]>
> Sent: Wednesday, November 21, 2001 8:29 PM
> Subject: Re: gdb trouble
>
>
> > On Wed, Nov 21, 2001 at 10:14:43AM +0530, vipin aravind wrote:
> > > I  had  been using  softice  debugger  on windows  which  is from
> > > mega(  and  it understands pdb  format)  and  how   do they know
> the
> > > format?
> > > I  think  it  would  be documented.
> >
> > Sure.  Somewhere.  Under NDA, I assume.
> >
> > Corinna
> >
> > --
> > Corinna Vinschen                  Please, send mails regarding Cygwin
> to
> > Cygwin Developer
> mailto:[email-masked]
> > Red Hat, Inc.
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/